CriteriaSpecification (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Interface CriteriaSpecification

All Known Subinterfaces:
  Criteria

All Known Implementing Classes:
  CriteriaImpl, CriteriaImpl.Subcriteria, DetachedCriteria

    public interface CriteriaSpecification

Field Summary
`static ResultTransformer` | `ALIAS_TO_ENTITY_MAP` Each row of results is a `Map` from alias to entity instance
`static ResultTransformer` | `DISTINCT_ROOT_ENTITY` Each row of results is a distinct instance of the root entity
`static int` | `FULL_JOIN` Deprecated. use `JoinType.FULL_JOIN`
`static int` | `INNER_JOIN` Deprecated. use `JoinType.INNER_JOIN`
`static int` | `LEFT_JOIN` Deprecated. use `JoinType.LEFT_OUTER_JOIN`
`static ResultTransformer` | `PROJECTION` This result transformer is selected implicitly by calling `setProjection()`
`static String` | `ROOT_ALIAS` The alias that refers to the "root" entity of the criteria query.
`static ResultTransformer` | `ROOT_ENTITY` Each row of results is an instance of the root entity

Field Detail

### ROOT_ALIAS

    static final String ROOT_ALIAS

  The alias that refers to the "root" entity of the criteria query.

  See Also:
    Constant Field Values

### ALIAS_TO_ENTITY_MAP

    static final ResultTransformer ALIAS_TO_ENTITY_MAP

  Each row of results is a `Map` from alias to entity instance

### ROOT_ENTITY

    static final ResultTransformer ROOT_ENTITY

  Each row of results is an instance of the root entity

### DISTINCT_ROOT_ENTITY

    static final ResultTransformer DISTINCT_ROOT_ENTITY

  Each row of results is a distinct instance of the root entity

### PROJECTION

    static final ResultTransformer PROJECTION

  This result transformer is selected implicitly by calling `setProjection()`

### INNER_JOIN

    @Deprecated
    static final int INNER_JOIN

  Deprecated. use `JoinType.INNER_JOIN`
  Specifies joining to an entity based on an inner join.

  See Also:
    Constant Field Values

### FULL_JOIN

    @Deprecated
    static final int FULL_JOIN

  Deprecated. use `JoinType.FULL_JOIN`
  Specifies joining to an entity based on a full join.

  See Also:
    Constant Field Values

### LEFT_JOIN

    @Deprecated
    static final int LEFT_JOIN

  Deprecated. use `JoinType.LEFT_OUTER_JOIN`
  Specifies joining to an entity based on a left outer join.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.